## visad.data.visad.object
Class BinaryAccessor

    java.lang.Object
      visad.data.FileAccessor
          visad.data.visad.object.BinaryAccessor

class BinaryAccessor
extends FileAccessor

Constructor Summary
`BinaryAccessor(BinaryReader rdr, long filePtr, FunctionType ft)`

Method Summary
`FlatField` `getFlatField()`
`FunctionType` `getFunctionType()`
`double[][]` `readFlatField(FlatField template, int[] fileLocations)`
`void` `writeFile(int[] fileLocations, Data range)`
`void` `writeFlatField(double[][] values, FlatField template, int[] fileLocations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryAccessor

    public BinaryAccessor(BinaryReader rdr,
                          long filePtr,
                          FunctionType ft)

Method Detail

### getFlatField

    public FlatField getFlatField()
                           throws RemoteException,
                                  VisADException

  Specified by:
    `getFlatField` in class `FileAccessor`
  Throws:
    `RemoteException`
    `VisADException`

### getFunctionType

    public FunctionType getFunctionType()
                                 throws VisADException

  Specified by:
    `getFunctionType` in class `FileAccessor`
  Throws:
    `VisADException`

### readFlatField

    public double[][] readFlatField(FlatField template,
                                    int[] fileLocations)

  Specified by:
    `readFlatField` in class `FileAccessor`

### writeFile

    public void writeFile(int[] fileLocations,
                          Data range)

  Specified by:
    `writeFile` in class `FileAccessor`

### writeFlatField

    public void writeFlatField(double[][] values,
                               FlatField template,
                               int[] fileLocations)

  Specified by:
    `writeFlatField` in class `FileAccessor`